from django.contrib.auth import views as auth_views

from django.conf.urls import url, include

from . import views
from .forms import PasswordResetForm


urlpatterns = [
    url(r'^profile/$', views.profile, name='profile'),
    url(r'^auth_api/(?P<token>[a-zA-Z0-9]{32})/$', views.auth_api, name='auth_api'),
    url(r'^password_reset/$', auth_views.PasswordResetView.as_view(form_class=PasswordResetForm), name='password_reset'),
    url(r'^', include('django.contrib.auth.urls')),
]
